Index: LMDZ.3.3/tags/CCM1_0/libf/filtrez/filtreg.F
===================================================================
--- LMDZ.3.3/branches/LF/libf/filtrez/filtreg.F	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/filtrez/filtreg.F	(revision 300)
@@ -290,8 +290,8 @@
  100  CONTINUE
 c
-1111  FORMAT(//20x,'ERREUR dans le dimensionnement du tableau CHAMP a fil
-     *-trer, sur la grille des scalaires'/)
-2222  FORMAT(//20x,'ERREUR dans le dimensionnement du tableau CHAMP a fil
-     *-trer, sur la grille de V ou de Z'/)
+1111  FORMAT(//20x,'ERREUR dans le dimensionnement du tableau  CHAMP a 
+     *filtrer, sur la grille des scalaires'/)
+2222  FORMAT(//20x,'ERREUR dans le dimensionnement du tableau CHAMP a fi
+     *ltrer, sur la grille de V ou de Z'/)
       RETURN
       END
Index: LMDZ.3.3/tags/CCM1_0/libf/filtrez/jacobi.F
===================================================================
--- LMDZ.3.3/branches/LF/libf/filtrez/jacobi.F	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/filtrez/jacobi.F	(revision 300)
@@ -1,4 +1,4 @@
       SUBROUTINE JACOBI(A,N,NP,D,V,NROT)
-      PARAMETER (NMAX=200)
+      PARAMETER (NMAX=400)
       DIMENSION A(NP,NP),D(NP),V(NP,NP),B(NMAX),Z(NMAX)
       IF (n.gt.nmax) THEN
Index: LMDZ.3.3/tags/CCM1_0/libf/filtrez/parafilt.h
===================================================================
--- LMDZ.3.3/branches/LF/libf/filtrez/parafilt.h	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/filtrez/parafilt.h	(revision 300)
@@ -4,5 +4,5 @@
 c       PARAMETER (nfilun=30,nfilus=30,nfilvn=30,nfilvs=30)
 c        PARAMETER (nfilun=6, nfilus=5, nfilvn=5, nfilvs=5)
-         PARAMETER (nfilun=15, nfilus=8, nfilvn=14, nfilvs=8)
+c        PARAMETER (nfilun=15, nfilus=8, nfilvn=14, nfilvs=8)
 c        PARAMETER (nfilun=24, nfilus=23, nfilvn=24, nfilvs=24)
 cmaf -debug  PARAMETER (nfilun=2, nfilus=1, nfilvn=2, nfilvs=2)
@@ -16,6 +16,12 @@
 ccc      PARAMETER (nfilun=13, nfilus=12, nfilvn=12, nfilvs=12)
 c
+c 192 143 19 non-zoom:
+c             PARAMETER (nfilun=13, nfilus=12, nfilvn=13, nfilvs=13)
+c      PARAMETER (nfilun=15, nfilus=14, nfilvn=14, nfilvs=14) !!NO fxyhyper
+c      PARAMETER (nfilun=18, nfilus=17, nfilvn=17, nfilvs=17) !!NO fxyhyper
+c       PARAMETER (nfilun=30,nfilus=30,nfilvn=30,nfilvs=30)
+
 c 96 72 19 non-zoom:
-ccc      PARAMETER (nfilun=12, nfilus=11, nfilvn=12, nfilvs=12)
+      PARAMETER (nfilun=12, nfilus=11, nfilvn=12, nfilvs=12)
 c
 c        PARAMETER ( nfilun=20, nfilus=20, nfilvn=20, nfilvs=20 )
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/FCTTRE.inc
===================================================================
--- LMDZ.3.3/tags/CCM1_0/libf/phylmd/FCTTRE.inc	(revision 300)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/FCTTRE.inc	(revision 300)
@@ -0,0 +1,36 @@
+!      ------------------------------------------------------------------
+!      This COMDECK includes the Thermodynamical functions for the cy39
+!       ECMWF Physics package.
+!       Consistent with YOMCST Basic physics constants, assuming the
+!       partial pressure of water vapour is given by a first order
+!       Taylor expansion of Qs(T) w.r.t. to Temperature, using constants
+!       in YOETHF
+!     ------------------------------------------------------------------
+      REAL PTARG, PDELARG, P5ARG, PQSARG, PCOARG
+      REAL FOEEW, FOEDE, qsats, qsatl, dqsats, dqsatl
+      LOGICAL thermcep
+      PARAMETER (thermcep=.TRUE.)
+!
+      FOEEW ( PTARG,PDELARG ) = EXP ( &
+     &          (R3LES*(1.-PDELARG)+R3IES*PDELARG) * (PTARG-RTT) &
+     & / (PTARG-(R4LES*(1.-PDELARG)+R4IES*PDELARG)) )
+!
+      FOEDE ( PTARG,PDELARG,P5ARG,PQSARG,PCOARG ) = PQSARG*PCOARG*P5ARG &
+     & / (PTARG-(R4LES*(1.-PDELARG)+R4IES*PDELARG))**2
+!
+      qsats(ptarg) = 100.0 * 0.622 * 10.0 &
+     &           ** (2.07023 - 0.00320991 * ptarg &
+     &           - 2484.896 / ptarg + 3.56654 * LOG10(ptarg))
+      qsatl(ptarg) = 100.0 * 0.622 * 10.0 &
+     &           ** (23.8319 - 2948.964 / ptarg &
+     &           - 5.028 * LOG10(ptarg) &
+     &           - 29810.16 * EXP( - 0.0699382 * ptarg) &
+     &           + 25.21935 * EXP( - 2999.924 / ptarg))
+!
+      dqsats(ptarg,pqsarg) = RLVTT/RCPD*pqsarg * (3.56654/ptarg &
+     &                     +2484.896*LOG(10.)/ptarg**2 &
+     &                     -0.00320991*LOG(10.))
+      dqsatl(ptarg,pqsarg) = RLVTT/RCPD*pqsarg*LOG(10.)* &
+     &                (2948.964/ptarg**2-5.028/LOG(10.)/ptarg &
+     &                +25.21935*2999.924/ptarg**2*EXP(-2999.924/ptarg) &
+     &                +29810.16*0.0699382*EXP(-0.0699382*ptarg))
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOEGWD.h
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/YOEGWD.h	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOEGWD.h	(revision 300)
@@ -3,4 +3,7 @@
 C     -----------------------------------------------------------------
 C
+      integer NKTOPG,NSTRA
+      real GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT
+      real GHMAX,GRAHILO,GSIGCR,GSSEC,GTSEC,GVSEC
       COMMON/YOEGWD/ GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT
      *        ,GHMAX,GRAHILO,GSIGCR,NKTOPG,NSTRA,GSSEC,GTSEC,GVSEC
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOETHF.inc
===================================================================
--- LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOETHF.inc	(revision 300)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOETHF.inc	(revision 300)
@@ -0,0 +1,12 @@
+!*    COMMON *YOETHF* DERIVED CONSTANTS SPECIFIC TO ECMWF THERMODYNAMICS
+!
+!     *R__ES*   *CONSTANTS USED FOR COMPUTATION OF SATURATION
+!                MIXING RATIO OVER LIQUID WATER(*R_LES*) OR
+!                ICE(*R_IES*).
+!     *RVTMP2*  *RVTMP2=RCPV/RCPD-1.
+!     *RHOH2O*  *DENSITY OF LIQUID WATER.   (RATM/100.)
+!
+      REAL R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES
+      REAL RVTMP2, RHOH2O
+      COMMON /YOETHF/R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES, &
+     &               RVTMP2, RHOH2O
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOMCST.h
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/YOMCST.h	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOMCST.h	(revision 300)
@@ -1,23 +1,23 @@
-C A1.0 Fundamental constants
+! A1.0 Fundamental constants
       REAL RPI,RCLUM,RHPLA,RKBOL,RNAVO
-C A1.1 Astronomical constants
+! A1.1 Astronomical constants
       REAL RDAY,REA,REPSM,RSIYEA,RSIDAY,ROMEGA
-c A1.1.bis Constantes concernant l'orbite de la Terre:
+! A1.1.bis Constantes concernant l'orbite de la Terre:
       REAL R_ecc, R_peri, R_incl
-C A1.2 Geoide
+! A1.2 Geoide
       REAL RA,RG,R1SA
-C A1.3 Radiation
+! A1.3 Radiation
       REAL RSIGMA,RI0
-C A1.4 Thermodynamic gas phase
+! A1.4 Thermodynamic gas phase
       REAL R,RMD,RMV,RD,RV,RCPD,RCPV,RCVD,RCVV
       REAL RKAPPA,RETV
-C A1.5,6 Thermodynamic liquid,solid phases
+! A1.5,6 Thermodynamic liquid,solid phases
       REAL RCW,RCS
-C A1.7 Thermodynamic transition of phase
+! A1.7 Thermodynamic transition of phase
       REAL RLVTT,RLSTT,RLMLT,RTT,RATM
-C A1.8 Curve of saturation
+! A1.8 Curve of saturation
       REAL RESTT,RALPW,RBETW,RGAMW,RALPS,RBETS,RGAMS
       REAL RALPD,RBETD,RGAMD
-C
+!
       COMMON/YOMCST/RPI   ,RCLUM ,RHPLA ,RKBOL ,RNAVO
      S      ,RDAY  ,REA   ,REPSM ,RSIYEA,RSIDAY,ROMEGA
@@ -31,3 +31,3 @@
      S      ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS
      S      ,RALPD ,RBETD ,RGAMD
-C    ------------------------------------------------------------------
+!    ------------------------------------------------------------------
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOMCST.inc
===================================================================
--- LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOMCST.inc	(revision 300)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/YOMCST.inc	(revision 300)
@@ -0,0 +1,26 @@
+! A1.0 Fundamental constants
+      REAL :: RPI,RCLUM,RHPLA,RKBOL,RNAVO
+! A1.1 Astronomical constants
+      REAL :: RDAY,REA,REPSM,RSIYEA,RSIDAY,ROMEGA
+! A1.1.bis Constantes concernant l'orbite de la Terre:
+      REAL :: R_ecc, R_peri, R_incl
+! A1.2 Geoide
+      REAL :: RA,RG,R1SA
+! A1.3 Radiation
+      REAL :: RSIGMA,RI0
+! A1.4 Thermodynamic gas phase
+      REAL :: R,RMD,RMV,RD,RV,RCPD,RCPV,RCVD,RCVV
+      REAL :: RKAPPA,RETV
+! A1.5,6 Thermodynamic liquid,solid phases
+      REAL :: RCW,RCS
+! A1.7 Thermodynamic transition of phase
+      REAL :: RLVTT,RLSTT,RLMLT,RTT,RATM
+! A1.8 Curve of saturation
+      REAL :: RESTT,RALPW,RBETW,RGAMW,RALPS,RBETS,RGAMS
+      REAL :: RALPD,RBETD,RGAMD
+!
+      COMMON/YOMCST/RPI ,RCLUM, RHPLA, RKBOL, RNAVO ,RDAY  ,REA &
+     & ,REPSM ,RSIYEA,RSIDAY,ROMEGA ,R_ecc, R_peri, R_incl, RA    ,RG &
+     & ,R1SA ,RSIGMA,RI0,R ,RMD   ,RMV   ,RD    ,RV    ,RCPD ,RCPV,RCVD &
+     & ,RCVV  ,RKAPPA,RETV ,RCW   ,RCS ,RLVTT ,RLSTT ,RLMLT ,RTT ,RATM &
+     & ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS ,RALPD ,RBETD ,RGAMD
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/ajsec.F
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/ajsec.F	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/ajsec.F	(revision 300)
@@ -1,3 +1,3 @@
-      SUBROUTINE ajsec(paprs, pplay, t,q, d_t,d_q, itr, tr, d_tr)
+      SUBROUTINE ajsec(paprs, pplay, t,q, d_t,d_q)
       IMPLICIT none
 c======================================================================
@@ -16,8 +16,4 @@
       REAL t(klon,klev), q(klon,klev)
       REAL d_t(klon,klev), d_q(klon,klev)
-c
-      INTEGER it, itr
-      REAL tr(klon,klev,nbtr), d_tr(klon,klev,nbtr)
-      REAL ztr(klon,klev,nbtr), trm(nbtr)
 c
       INTEGER limbas, limhau ! les couches a ajuster
@@ -45,13 +41,4 @@
       ENDDO
       ENDDO
-      IF (itr.GE.1) THEN
-      DO it = 1, itr
-      DO k = 1, klev
-      DO i = 1, klon
-         d_tr(i,k,it) = 0.0
-      ENDDO
-      ENDDO
-      ENDDO
-      ENDIF
 c------------------------------------- detection des profils a modifier
       DO k = limbas, limhau
@@ -62,14 +49,4 @@
       ENDDO
       ENDDO
-c
-      IF (itr.GE.1) THEN
-      DO it = 1, itr
-      DO k = limbas, limhau
-      DO i = 1, klon
-         ztr(i,k,it) = tr(i,k,it)
-      ENDDO
-      ENDDO
-      ENDDO
-      ENDIF
 c
       DO k = limbas, limhau
@@ -102,19 +79,8 @@
               hm = zh(i,k2)
               qm = zq(i,k2)
-              IF (itr.GE.1) THEN
-              DO it = 1, itr
-                trm(it) = ztr(i,k2,it)
-              ENDDO
-              ENDIF
  8020         CONTINUE
                 sm = sm +zpkdp(i,k)
                 hm = hm +zpkdp(i,k) * (zh(i,k)-hm) / sm
                 qm = qm +zpkdp(i,k) * (zq(i,k)-qm) / sm
-                IF (itr.GE.1) THEN
-                DO it = 1, itr
-                trm(it) = trm(it) +
-     .                    zpkdp(i,k) * (ztr(i,k,it)-trm(it)) / sm
-                ENDDO
-                ENDIF
                 down = .FALSE.
                 IF (k1 .ne. limbas) THEN
@@ -137,11 +103,4 @@
                 zq(i,k) = qm
               ENDDO
-              IF (itr.GE.1) THEN
-              DO it = 1, itr
-              DO k = k1, k2
-                ztr(i,k,it) = trm(it)
-              ENDDO
-              ENDDO
-              ENDIF
               k2 = k2 + 1
             ENDIF
@@ -173,32 +132,4 @@
          d_q(i,k) = 0.0
       ENDDO
-      ENDDO
-      ENDIF
-c
-      IF (itr.GE.1) THEN
-      DO it = 1, itr
-c
-      DO k = limbas, limhau
-      DO i = 1, klon
-         d_tr(i,k,it) = ztr(i,k,it) - tr(i,k,it)
-      ENDDO
-      ENDDO
-c
-      IF (limbas.GT.1) THEN
-      DO k = 1, limbas-1
-      DO i = 1, klon
-         d_tr(i,k,it) = 0.0
-      ENDDO
-      ENDDO
-      ENDIF
-c
-      IF (limhau.LT.klev) THEN
-      DO k = limhau+1, klev
-      DO i = 1, klon
-         d_tr(i,k,it) = 0.0
-      ENDDO
-      ENDDO
-      ENDIF
-c
       ENDDO
       ENDIF
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/albedo.F
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/albedo.F	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/albedo.F	(revision 300)
@@ -17,5 +17,6 @@
 c
       REAL fmagic ! un facteur magique pour regler l'albedo
-      PARAMETER (fmagic=0.7)
+ccc      PARAMETER (fmagic=0.7)
+      PARAMETER (fmagic=1.1)
       INTEGER npts ! il controle la precision de l'integration
       PARAMETER (npts=120) ! 120 correspond a l'interval 6 minutes
@@ -83,4 +84,8 @@
       REAL rmu0(klon), albedo(klon)
 c
+      REAL fmagic ! un facteur magique pour regler l'albedo
+ccc      PARAMETER (fmagic=0.7)
+      PARAMETER (fmagic=1.1)
+c
       REAL fauxo
       INTEGER i
@@ -88,5 +93,5 @@
       DO i = 1, klon
          fauxo = ( 1.47 - ACOS( rmu0(i) ) )/0.15
-         albedo(i) = 1.1*( .03 + .630/( 1. + fauxo*fauxo))
+         albedo(i) = fmagic*( .03 + .630/( 1. + fauxo*fauxo))
          albedo(i) = MAX(MIN(albedo(i),0.60),0.04)
       ENDDO
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/atm2geo.F
===================================================================
--- LMDZ.3.3/tags/CCM1_0/libf/phylmd/atm2geo.F	(revision 300)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/atm2geo.F	(revision 300)
@@ -0,0 +1,44 @@
+C
+      SUBROUTINE atm2geo ( im, jm, pte, ptn, plon, plat, pxx, pyy, pzz )
+cc
+cc Change wind local atmospheric coordinates to
+cc geocentric
+cc
+c$$$      INCLUDE 'param.h'
+c
+      INTEGER, INTENT (in)              :: im, jm
+      REAL, DIMENSION (im,jm), INTENT (in) :: pte, ptn
+      REAL, DIMENSION (im,jm), INTENT (in) :: plon, plat
+      REAL, DIMENSION (im,jm), INTENT(out) :: pxx, pyy, pzz
+c
+      REAL, PARAMETER :: rpi = 3.141592653E0
+      REAL, PARAMETER :: rad = rpi / 180.0E0
+c
+      REAL, DIMENSION (im,jm) :: zsinlon, zcoslon
+      REAL, DIMENSION (im,jm) :: zsinlat, zcoslat
+c
+      LOGICAL, SAVE :: linit = .FALSE.
+c
+c$$$      IF ( .NOT. linit ) THEN 
+          zsinlon = SIN (rad * plon)
+          zcoslon = COS (rad * plon)
+          zsinlat = SIN (rad * plat)
+          zcoslat = COS (rad * plat)
+          linit = .TRUE.
+c$$$      ENDIF 
+c
+      pxx = - zsinlon * pte - zsinlat * zcoslon * ptn
+      pyy =   zcoslon * pte - zsinlat * zsinlon * ptn
+      pzz =   zcoslat * ptn
+c
+c Value at North Pole
+      pxx ( :,  1) = - ptn ( 1, 1)
+      pyy ( :,  1) = - pte ( 1, 1)
+      pzz ( :,  1) = 0.0
+c Value at South Pole
+      pxx ( :, jm) = + ptn ( 1, jm)
+      pyy ( :, jm) = + pte ( 1, jm)
+      pzz ( :, jm) = 0.0
+c
+      RETURN 
+      END SUBROUTINE atm2geo
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/calcratqs.F
===================================================================
--- LMDZ.3.3/tags/CCM1_0/libf/phylmd/calcratqs.F	(revision 300)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/calcratqs.F	(revision 300)
@@ -0,0 +1,162 @@
+c $Header$
+      SUBROUTINE calcratqs (
+     I            paprs,pplay,q_seri,d_t_con,d_t_ajs
+     O           ,ratqs,zpt_conv)
+      IMPLICIT none
+c======================================================================
+c
+c Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
+c
+c Objet: Moniteur general de la physique du modele
+cAA      Modifications quant aux traceurs :
+cAA                  -  uniformisation des parametrisations ds phytrac
+cAA                  -  stockage des moyennes des champs necessaires
+cAA                     en mode traceur off-line 
+c======================================================================
+c    modif   ( P. Le Van ,  12/10/98 )
+c
+c  Arguments:
+c
+c paprs---input-R-pression pour chaque inter-couche (en Pa)
+c pplay---input-R-pression pour le mileu de chaque couche (en Pa)
+c presnivs-input_R_pressions approximat. des milieux couches ( en PA)
+#include "dimensions.h"
+#include "dimphy.h"
+      REAL paprs(klon,klev+1)
+      REAL pplay(klon,klev)
+      REAL d_t_con(klon,klev)
+      REAL d_t_ajs(klon,klev)
+      REAL ratqs(klon,klev)
+      LOGICAL pt_conv(klon,klev)
+      REAL q_seri(klon,klev)
+
+      logical firstcall
+      save firstcall
+      data firstcall/.true./
+
+
+      REAL ratqsmin,ratqsmax,zx,epmax
+      REAL ratqs1,ratqs2,ratqs3,ratqs4
+      REAL ratqsc1,ratqsc2,ratqsc3,ratqsc4
+      INTEGER i,k
+      INTEGER flag_ratqs
+      save ratqsmin,ratqsmax,flag_ratqs,epmax
+      save ratqs1,ratqs2,ratqs3,ratqs4
+      save ratqsc1,ratqsc2,ratqsc3,ratqsc4
+      real zpt_conv(klon,klev)
+
+      REAL zx_min
+      PARAMETER (zx_min=1.0)
+      REAL zx_max
+      PARAMETER (zx_max=0.1)
+
+      flag_ratqs=1
+      flag_ratqs=0
+	zpt_conv=0.
+c
+c Appeler le processus de condensation a grande echelle
+c et le processus de precipitation
+c
+      if (flag_ratqs.eq.0) then
+
+         ratqsmax=0.01
+         ratqsmin=0.3
+
+         if (firstcall) print*,'RATQS ANCIEN '
+         do k=1,klev
+         do i=1,klon
+            zx = pplay(i,k)/paprs(i,1)
+            zx = (zx_max-zx)/(zx_max-zx_min)
+            zx = MIN(MAX(zx,0.0),1.0)
+            zx = zx * zx * zx
+            ratqs(i,k)= zx * (ratqsmax-ratqsmin) + ratqsmin
+         enddo
+         enddo
+
+      else
+
+c  On aplique un ratqs "interactif" a toutes les mailles affectees
+c  par la convection ou se trouvant "sous" une maille affectee.
+         do i=1,klon
+            pt_conv(i,klev)=.false.
+         enddo
+         do k=klev-1,1,-1
+            do i=1,klon
+               pt_conv(i,k)=pt_conv(i,k+1).or.
+     s               (abs(d_t_con(i,k))+abs(d_t_ajs(i,k))).gt.1.e-8
+               if(pt_conv(i,k)) then
+                  zpt_conv(i,k)=1.
+               else
+                  zpt_conv(i,k)=0.
+               endif
+            enddo
+         enddo
+
+         if (flag_ratqs.eq.1) then
+
+            ratqsmin=0.4
+            ratqsmax=0.99
+            if (firstcall) print*,'RATQS INTERACTIF '
+            do k=1,klev
+                do i=1,klon
+                   if (pt_conv(i,k)) then
+                      ratqs(i,k)=0.01
+     s                +0.25*(q_seri(i,1)-q_seri(i,k))/q_seri(i,k)
+                      ratqs(i,k)=min(ratqs(i,k),ratqsmax)
+                      ratqs(i,k)=max(ratqs(i,k),0.1)
+                   else
+                      ratqs(i,k)=0.01+(ratqsmin-0.01)*
+     s             min((paprs(i,1)-pplay(i,k))/(paprs(i,1)-30000.),1.)
+                   endif
+                enddo
+            enddo
+         else if (flag_ratqs.eq.2) then
+            do k=1,klev
+                do i=1,klon
+                   ratqs(i,k)=0.001+
+     s             (q_seri(i,1)-q_seri(i,k))/q_seri(i,k)
+                   if (pt_conv(i,k)) then
+                      ratqs(i,k)=min(ratqs(i,k),ratqsmax)
+                   else
+                      ratqs(i,k)=min(ratqs(i,k),ratqsmin)
+                   endif
+                enddo
+            enddo
+         else
+            do k=1,klev
+               do i=1,klon
+                  if (pplay(i,k).ge.95000.) then
+                     if (pt_conv(i,k)) then
+                        ratqs(i,k)=ratqsc1
+                     else
+                        ratqs(i,k)=ratqs1
+                     endif
+                  else if (pplay(i,k).ge.75000.) then
+                     if (pt_conv(i,k)) then
+                        ratqs(i,k)=ratqsc2
+                     else
+                        ratqs(i,k)=ratqs2
+                     endif
+                  else if (pplay(i,k).ge.50000.) then
+                     if (pt_conv(i,k)) then
+                        ratqs(i,k)=ratqsc3
+                     else
+                        ratqs(i,k)=ratqs3
+                     endif
+                  else
+                     if (pt_conv(i,k)) then
+                        ratqs(i,k)=ratqsc4
+                     else
+                        ratqs(i,k)=ratqs4
+                     endif
+                  endif
+               enddo
+            enddo
+         endif
+
+      endif
+
+      firstcall=.false.
+
+      return
+      end
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/clift.F
===================================================================
--- LMDZ.3.3/tags/CCM1_0/libf/phylmd/clift.F	(revision 300)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/clift.F	(revision 300)
@@ -0,0 +1,70 @@
+c $Header$
+        SUBROUTINE CLIFT (P,T,RR,RS,PLCL,DPLCLDT,DPLCLDQ)
+C***************************************************************
+C*                                                             *
+C* CLIFT : COMPUTE LIFTING CONDENSATION LEVEL AND ITS          *
+C*         DERIVATIVES RELATIVE TO T AND R                     *
+C*   (WITHIN 0.2% OF FORMULA OF BOLTON, MON. WEA. REV.,1980)   *
+C*                                                             *
+C* written by   : GRANDPEIX Jean-Yves, 17/11/98, 12.39.01      *
+C* modified by :                                               *
+C***************************************************************
+C*
+C*Arguments :
+C*
+C* Input :  P = pressure of level from wich lifting is performed
+C*          T = temperature of level P
+C*          RR = vapour mixing ratio at level P
+C*          RS = vapour saturation mixing ratio at level P
+C*
+C* Output : PLCL = lifting condensation level
+C*          DPLCLDT = derivative of PLCL relative to T
+C*          DPLCLDQ = derivative of PLCL relative to R
+C*
+ccccccccccccccccccccccc
+c constantes coherentes avec le modele du Centre Europeen
+c      RD = 1000.0 * 1.380658E-23 * 6.0221367E+23 / 28.9644
+c      RV = 1000.0 * 1.380658E-23 * 6.0221367E+23 / 18.0153
+c      CPD = 3.5 * RD
+c      CPV = 4.0 * RV
+c      CL = 4218.0
+c      CI=2090.0
+c      CPVMCL=CL-CPV
+c      CLMCI=CL-CI
+c      EPS=RD/RV
+c      ALV0=2.5008E+06
+c      ALF0=3.34E+05
+c
+c on utilise les constantes thermo du Centre Europeen: (sb)
+c
+#include "YOMCST.h"
+c
+       CPD = RCPD
+       CPV = RCPV
+       CL = RCW
+       CPVMCL = CL-CPV
+       EPS = RD/RV
+       ALV0 = RLVTT
+c
+c
+c      Bolton formula coefficients :
+      A = 1669.0
+      B = 122.0
+c
+      RH=RR/RS
+      CHI=T/(A-B*RH-T)
+      PLCL=P*(RH**CHI)
+c
+      ALV = ALV0 - CPVMCL*(T-273.15)
+c
+c -- sb: correction:
+c       DPLCLDQ = PLCL*CHI*( 1./RR - B*CHI/T/RS*ALOG(RH) )
+      DPLCLDQ = PLCL*CHI*( 1./RR + B*CHI/T/RS*ALOG(RH) )
+c sb --
+c
+      DPLCLDT = PLCL*CHI*((A-B*RH*(1.+ALV/RV/T))/T**2*CHI*ALOG(RH)
+     $                    - ALV/RV/T**2 )
+c
+c
+      RETURN
+      END
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/clim.h
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/clim.h	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/clim.h	(revision 300)
@@ -42,5 +42,5 @@
       PARAMETER ( CLIM_Void    = 0  )
       PARAMETER ( CLIM_MaxMod  = 8 )
-      PARAMETER ( CLIM_MaxPort = 16 )
+      PARAMETER ( CLIM_MaxPort = 40 )
       PARAMETER ( CLIM_MaxSegments = 160 )
       PARAMETER ( CLIM_MaxLink = CLIM_MaxMod * CLIM_MaxPort )
